Bug 307001 - Patch docbook-xsl-pagesetup.patch disagrees with Norman Walsh's documentation
Patch docbook-xsl-pagesetup.patch disagrees with Norman Walsh's documentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On: 176766
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 09:55 EDT by Andrea Offermann
Modified: 2007-12-10 15:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 06:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrea Offermann 2007-09-26 09:55:03 EDT
docbook-style-xsl-1.72.0-1.fc6.src.rpm

The changes provided by docbook-xsl-pagesetup.patch (which is integrated in this
rpm) does disagree with the documentation (doc/fo/header.column.widths.html) of
this version.

In the documentation header.column.width is specified to accept relative values,
but the patch modifies the stylesheet to treat them as procentual values.
Without applying the patch, everything work correct.

If you define relative values i.e. <xsl:param name="header.column.widths">1 1
1</xsl:param> like in the documentation, you get three colums, each 1% when
using the Fedora package - but the behaviour as described in the documentation
and which you get without the patch is to get three colums of 33,3...% (1:1:1).
Comment 1 Andrea Offermann 2007-09-27 07:44:05 EDT
Patch is related to Bug 176766. Maybe this patch is needed by passivetex, but it
does not take effect on other products (I'm using Apache's FOP for example and
it takes effect there).
Comment 2 Ondrej Vasik 2007-12-03 08:53:28 EST
Thanks for report. I will change the patch to be active only in the case that
passivetex.extensions from param.xsl is set to 1 - as it should be for
passivetex processing of documentation. This should correct the behaviour.
Comment 3 Ondrej Vasik 2007-12-03 11:34:42 EST
Built in rawhide as docbook-style-xsl-1.73.2-6.fc9 . Could you please check if
it solved your troubles before the port to lower Fedora releases?
Comment 4 Andrea Offermann 2007-12-04 05:30:49 EST
Tested the package with Fedora 6, it DOES solve my troubles. Thanks. With the
"old" patch the headers looked like:
+---------------------+
|I'm 1                |
|a                    |
|header               |

instead of (with the new or without any patch):
+---------------------+
|I'm a header       1 |
|                     |

when defined correctly
Comment 5 Fedora Update System 2007-12-06 15:50:32 EST
docbook-style-xsl-1.73.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Ondrej Vasik 2007-12-10 06:31:18 EST
Built as docbook-style-xsl-1.73.2-2.fc7 , will not build update for FC-6, low
priority and EOL, closing NEXTRELEASE. 
Comment 7 Fedora Update System 2007-12-10 15:49:06 EST
docbook-style-xsl-1.73.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update docbook-style-xsl'

Note You need to log in before you can comment on or make changes to this bug.